%define		php_name	php%{?php_suffix}
%define		modname	dbus
Summary:	Extension for interaction with DBUS busses
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.1
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	18505c41fb1ca2a2b5024c50c0de719f
URL:		http://pecl.php.net/package/DBus
BuildRequires:	%{php_name}-devel >= 4:5.2.0
BuildRequires:	dbus-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(dbus)
Obsoletes:	php-pecl-dbus < 0.1.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows you to talk to DBUS services on a system, and
also act as a DBUS service.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-dbus.git;a=log;h=auto/th/php-pecl-dbus-0.1.1-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 6d46819
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> a12ec9a
- php 5.5 rebuild
- release 3 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 4658c67
- support building for multiple php versions

* Sat Aug 18 2012 Elan Ruusamäe <glen@delfi.ee> ec7920e
- P: php(dbus) virtual

* Sat Aug 18 2012 Elan Ruusamäe <glen@delfi.ee> 5398032
- new

